
function split(source, delimiters) 
if (source == nil) or (delimiters == nil) then
  return nil
  end
local elements = {} 
local pattern = '([^'..delimiters..']+)'
string.gsub(source, pattern, function(value) elements[#elements + 1] = value; end); 
return elements 
end

function splitPath(path)
s = split(arg[0], pathdelimiter)
if (pathdelimiter == '/') then
  path = pathdelimiter
else  
  path = ""
  end
for i = 1, #s-1 do
  path = path .. s[i] .. pathdelimiter
  end
return path, s[#s]
end

local function getValue(ar, Key)
if (ar == nil) or (Key == nil) then
  return nil
  end
for k, v in ipairs(ar) do
  local row = split(v, '=') 
  if (row[1] == Key) then
    return row[2]
    end
  end  
return nil
end


local function main()

--print("Pars:", Pars)
local ParsArray = split(Pars, '&')
----Pars: ...path=/media/usb0

path = getValue(ParsArray, "path")
--path = "/media/.."

if (path ~= nil) then
  if (string.sub(path, #path, #path) ~= '/') then 
    path = path .. "/"   -- Pfad muss immer mit / enden
    end    

  if (string.sub(path, #path-2, #path) == '../') then --Ein Verrzeichnis höher
    pathtab = split(path, "/") 
    path = "/"
    for i = 1, #pathtab - 2 do
      path = path .. pathtab[i] .. '/'
      end 
    end
  if string.sub(path,1 ,1) ~= '/' then
    path = '/' .. path
    end
  end

if (path == nil) then
  path = "/media/"
  end
print("<option id=folder0>" .. path .. "</option>");

TabFile = dir(path)
if TabFile ~= nil then
  table.sort(TabFile)
  filecount = #TabFile 
else
  filecount = 0
  end
  
for i = 1, filecount do 
  fi = split(TabFile[i], "=")
  if ((fi[2] == "4") or (fi[2] == "10")) then  -- es ist ein Verzeichnis
    if (string.sub(path, #path - 1, #path) ~= "./") and (fi[1] ~= ".") then
      print("<option id=Folder" .. i .. ">" .. path .. fi[1] .. "</option>")
      end
    end
  end
print("</select>")
if string.sub(path, 1, 7) ~= "/media/" then
  print[[
  <br><font color="red">
  Achtung! Diese Dateien befinden sich nicht auf dem externen Medium,<br>
  &Auml;nderungen in diesem Bereich k&ouml;nnen das Betriebssystem besch&auml;digen!! 
  </font>
  ]]
  end
end

main()

